export interface Todo {
  id: number;
  content: string;
}

export interface Meta {
  totalCount: number;
}
/**
 * 服务器结构体
 */
export interface server {
  host: string;
  id: number;
  ip: string;
  istls: number;
  port: number;
  tips: string;
}
/**
 * vmess结构体
 */
export interface vmess {
  v: string;
  ps: string;
  add: string;
  port: number;
  id: string;
  aid: string;
  scy: string;
  net: string;
  type: string;
  host: string;
  path: string;
  tls: string;
  sni: string;
  alpn: string
}
/**
 * vless结构体
 */
export interface vless {
  add: string;
  port: number;
  uuid: string;
  encryption: string;
  /**传输协议 */
  net: string;
  /**伪装类型 */
  type: string;
  /**地址 */
  host: string;
  /**路径 */
  path: string;
  /**tls */
  tls: string;
  /**sni */
  sni: string;
  name: string
}
export interface VlessLink {
  uuid: string;
  host: string;
  port: number;
  params?: Record<string, string>;
  name?: string;  // 允许传入名称
}
